## random

### Syntax:

    random (n);

### Purpose:

Generates a random number. The value of n must be greater than zero.

### Return value:

The return value is the number generated, from 0 to n - 1 inclusive (i.e. there are n possible outcomes).

### Example:

    # Pause for a random amount of time
    # between 10 and 29 frames inclusive
    pause (random (20) + 10);

### See also:

pause

pickOne

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012